.custom-image-upload{
    text-align: center;
    display: flex;
    position: relative;
    background-color: #fdfdfe;
    border: 1px solid #d3d7e0;
    border-radius: 2px;
    margin: auto;
    width: 15em;
    max-width: 100%;
    background-image: url(../images/custom-image.png);
    background-repeat: no-repeat;
    background-size: contain;
    background-position: center;
    min-height: 130px;

    .img-preview{
        max-width: 100%;
        max-height: 15em;
        height: 100%;
        margin: auto;
        background-color: #fdfdfe;
        object-fit: contain;
    }
    .custom-label{
        position: absolute;
        top: 0;
        bottom: 0;
        left: 0;
        right: 0;
        margin: auto;
        cursor: pointer;

        -webkit-transition: all .2s ease;
        -moz-transition: all .2s ease;
        transition: all .2s ease;

        input{
            opacity: 0;
        }
    }
    .remove-preview{
        border-radius: 100%;
        background-color: #fff;
        color: $info;
        padding: .2em;
        position: absolute;
        top: -10px;
        right: -10px;
        font-size: 24px;
        border: 1px solid #d3d7e0;
        cursor: pointer;
        -webkit-transition: all .2s ease;
        -moz-transition: all .2s ease;
        transition: all .2s ease;
    }
    .remove-preview:hover{
        background-color: $info;
        border-color: $info;
        color: #fff;
    }

    /**
     * Style
     */
    &.custom-iu-sm{
        width: 15em;
        height: 15em;

        .img-preview{
            max-height: 15em;
        }
    }
    &.custom-iu-md{
        width: 22em;
        height: 22em;

        .img-preview{
            max-height: 22em;
        }
    }
    &.custom-iu-lg{
        width: 28em;
        
        &:before{
            content: '';
            padding: 50% 0;
            display: inline-block;
        }
        .img-preview{
            // max-height: 28em;
        }    
    }
}